GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Public Attributes | Private Slots | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::SettingsDialog Class Reference
Inheritance diagram for GpgFrontend::UI::SettingsDialog:
Collaboration diagram for GpgFrontend::UI::SettingsDialog:

## Public Slots
void | SlotAccept ()

## Signals
void | SignalRestartNeeded (int)

## Public Member Functions
| SettingsDialog (QWidget *parent=nullptr)
| Construct a new Settings Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Static Public Member Functions
static QHash< QString, QString > | ListLanguages ()

## Public Attributes
GeneralTab * | general_tab_
AppearanceTab * | appearance_tab_
KeyserverTab * | key_server_tab_
NetworkTab * | network_tab_

## Private Slots
void | slot_set_restart_needed (int)

## Private Member Functions
int | get_restart_needed () const
| Get the Restart Needed object. More...

## Private Attributes
QTabWidget * | tab_widget_
QDialogButtonBox * | button_box_
int | restart_needed_ {0}

## Additional Inherited Members
Protected Member Functions inherited from GpgFrontend::UI::GeneralDialog
void | setPosCenterOfScreen ()
void | movePosition2CenterOfParent ()

## Constructor & Destructor Documentation

## ◆ SettingsDialog()

GpgFrontend::UI::SettingsDialog::SettingsDialog | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new Settings Dialog object.

Parameters

  parent |

References GpgFrontend::UI::GeneralTab::SignalDeepRestartNeeded(), GpgFrontend::UI::GeneralTab::SignalRestartNeeded(), SignalRestartNeeded(), slot_set_restart_needed(), and GpgFrontend::UI::MainWindow::SlotSetRestartNeeded().

## Member Function Documentation

## ◆ get_restart_needed()

int GpgFrontend::UI::SettingsDialog::get_restart_needed | ( |  | ) | const
| private

Get the Restart Needed object.

Returns
  true
  false

## ◆ ListLanguages()

QHash< QString, QString > GpgFrontend::UI::SettingsDialog::ListLanguages | ( |  | ) |
| static

Returns
  QHash<QString, QString>

References GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), and GpgFrontend::GlobalSettingStation::GetLocaleDir().

Referenced by GpgFrontend::UI::GeneralTab::GeneralTab().

## ◆ SignalRestartNeeded

void GpgFrontend::UI::SettingsDialog::SignalRestartNeeded | ( | int |  | ) |
| signal

Parameters

  needed |

Referenced by SettingsDialog().

## ◆ slot_set_restart_needed

void GpgFrontend::UI::SettingsDialog::slot_set_restart_needed | ( | int | mode | ) |
| private slot

Parameters

  needed |

Referenced by SettingsDialog().

The documentation for this class was generated from the following files:

- src/ui/dialog/settings/SettingsDialog.h
- src/ui/dialog/settings/SettingsDialog.cpp